package cn.com.qmth.stmms.biz.report.service;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectClassGroup;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;

import java.util.List;

public interface ReportSubjectClassGroupService {

    void deleteByExamId(Integer examId);

    ReportSubjectClassGroup save(ReportSubjectClassGroup r);

    ReportSubjectClassGroup findOne(Integer examId, String subjectCode, String className, boolean objective,
            String paperType, Integer groupNumber);

    List<ReportSubjectClassGroup> findByQuery(ReportSubjectQuery query);

    List<ReportSubjectClassGroup> findByExamIdAndSubjectCodeAndObjectiveAndPaperType(Integer examId, String subjectCode,
            boolean objective, String paperType, String className);

    void deleteByExamIdAndSubjectCode(Integer examId, String subjectCode);
}
